---
title: "Key value store: write"
tags:
- action
- eca_base
- eca action 2.0.0
---
# Key value store: write

Available since: 2.0.0

Write a value to the Drupal key value store by the given key.

{!include/plugins/eca_base/action/eca_keyvaluestore_write.md!}

## Fields

`Collection`

:   The collection of the store.

    {!include/plugins/eca_base/action/eca_keyvaluestore_write/collection.md!}

`Store key`

:   The key of the value in the store.

    {!include/plugins/eca_base/action/eca_keyvaluestore_write/key.md!}

`Value`

:   The value to store.

    {!include/plugins/eca_base/action/eca_keyvaluestore_write/value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_base/action/eca_keyvaluestore_write/use_yaml.md!}

`Only if new`

:   If enabled, this only stores the value if the key does not exist yet.

    {!include/plugins/eca_base/action/eca_keyvaluestore_write/ifnotexists.md!}
