---
title: "Entity: original has field value"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity: original has field value

Available since: 1.0.0

Compares a field value of an entities <em>original</em>  by specific properties.

{!include/plugins/eca_content/condition/eca_entity_original_field_value.md!}

## Fields

`Field name`

:   The name of the field whose value to compare.

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/field_name.md!}

`Expected field value`

:   The expected value.

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/expected_value.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_original_field_value_operator</em>

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_original_field_value_type</em>

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_original_field_value/entity.md!}
