---
title: "Form: add grouping element"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add grouping element

Available since: 1.0.0

Add a collapsible details element (also known as fieldset) for grouping form fields.

{!include/plugins/eca_form/action/eca_form_add_group_element.md!}

## Fields

`Element name`

:   The element name is a machine name and is used for being identified when rendering the form. Example: <em>name_info</em>

    {!include/plugins/eca_form/action/eca_form_add_group_element/name.md!}

`Title`

:   This will be shown to the user in the form as grouping title.

    {!include/plugins/eca_form/action/eca_form_add_group_element/title.md!}

`Open`

:   Whether the group should be open to edit or collapsed when displayed.

    {!include/plugins/eca_form/action/eca_form_add_group_element/open.md!}

`Element weight`

:   The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_group_element/weight.md!}

`Fields`

:   Machine names of form fields that should be grouped together. Define multiple values separated with commas. Example: <em>first_name,last_name</em>

    {!include/plugins/eca_form/action/eca_form_add_group_element/fields.md!}

`Introduction text`

:   Here you can set an introduction text of the group.

    {!include/plugins/eca_form/action/eca_form_add_group_element/introduction_text.md!}

`Summary value`

:   Here you can set the summary text of the group.

    {!include/plugins/eca_form/action/eca_form_add_group_element/summary_value.md!}

`Group`

:   Here you can set this element to be a part of a parent group.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_add_group_element/group.md!}
