---
title: "Render: custom form"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: custom form

Available since: 1.1.0

Build a custom form using "ECA Form" events.

{!include/plugins/eca_render/action/eca_render_custom_form.md!}

## Fields

`Custom form ID`

:   This custom form ID is being used to identify the form on <em>ECA Form</em> events. <em>It is always prefixed with "eca_custom_"</em>. Example: When specified the custom form ID <em>my_custom_form</em>, then it can be identified e.g. on the event <em>Build form</em> using the form ID <em>eca_custom_my_custom_form</em>.

    {!include/plugins/eca_render/action/eca_render_custom_form/custom_form_id.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_custom_form/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_custom_form/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_custom_form/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_custom_form_mode</em>

    {!include/plugins/eca_render/action/eca_render_custom_form/mode.md!}
