---
title: "Render: Twig"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: Twig

Available since: 1.1.0

Render an inline template using the Twig engine.

{!include/plugins/eca_render/action/eca_render_twig.md!}

## Fields

`Template`

:   Must be valid Twig syntax.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_twig/template.md!}

`Context values`

:   Optionally specify context values to pass to the template. Can be an array using YAML syntax (needs to be enabled below) or a token holding the context data. Available token data will be automatically forwarded.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_twig/value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_render/action/eca_render_twig/use_yaml.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_twig/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_twig/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_twig/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_twig_mode</em>

    {!include/plugins/eca_render/action/eca_render_twig/mode.md!}
