---
title: "Tamper: Find replace (multiline)"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Find replace (multiline)

Available since: 1.0.0

Find and replace text, with multiple search/replacement patterns defined together.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_multiline_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_multiline_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/negate.md!}

`Text to find and the replacements`

:   Enter one match per line in the format <code>search|replacement</code>, though the separator can be changed below.
The replacements will be processed in order provided above.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/find_replace.md!}

`Search/replacement value separator`

:   Control the character used to separate the "search" from the "replace" string in the field above. Defaults to "|", to match the value separator used on the Drupal core list fields.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/separator.md!}

`Case sensitive`

:   If checked, "book" will match "book" but not "Book" or "BOOK".

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/case_sensitive.md!}

`Respect word boundaries`

:   If checked, "book" will match "book" but not "bookcase".

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/word_boundaries.md!}

`Match whole word/phrase`

:   If checked, then the whole word or phrase will be matched, e.g. "book" will match "book" but not "the book". If this option is selected then "Respect word boundaries" above will be ignored.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/whole.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_multiline/right.md!}
